Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant
Class ServerProxyImpl

    java.lang.Object
      org.mortbay.jetty.ant.ServerProxyImpl

All Implemented Interfaces:
  ServerProxy

    public class ServerProxyImpl

extends Object
implements ServerProxy

A proxy class for interaction with Jetty server object. Used to have some level of abstraction over standard Jetty classes.

Author:
  Jakub Pawlowicz

Constructor Summary
`ServerProxyImpl(List connectors, List userRealmsList, RequestLog requestLog, File jettyXml)` Default constructor.

Method Summary
`void` | `addWebApplication(WebApplicationProxy webApp, int scanIntervalSeconds)` Adds a new web application to this server.
`Object` | `getProxiedObject()`
`void` | `start()` Starts this server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerProxyImpl

    public ServerProxyImpl(List connectors,
                           List userRealmsList,
                           RequestLog requestLog,
                           File jettyXml)

  Default constructor. Creates a new Jetty server with a standard connector listening on a given port.

  Parameters:
    `userRealmsList` -
    `port` - default connector port number.
    `maxIdleTime` - default connector maximum idle time of for each connection.

Method Detail

### addWebApplication

    public void addWebApplication(WebApplicationProxy webApp,
                                  int scanIntervalSeconds)

  Description copied from interface: `ServerProxy`
  Adds a new web application to this server.

  Specified by:
    `addWebApplication` in interface `ServerProxy`
  Parameters:
    `webApp` - a WebApplicationProxy object.
  See Also:
    `ServerProxy.addWebApplication(WebApplicationProxy, int)`

### start

    public void start()

  Description copied from interface: `ServerProxy`
  Starts this server.

  Specified by:
    `start` in interface `ServerProxy`
  See Also:
    `ServerProxy.start()`

### getProxiedObject

    public Object getProxiedObject()

  Specified by:
    `getProxiedObject` in interface `ServerProxy`
  See Also:
    `ServerProxy.getProxiedObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.